import { row_currencyFormatter } from "@/utils/formatters"

export const tableOption = {
  searchMenuSpan: 6,
  columnBtn: true,
  border: true,
  selection: false,
  stripe: true,
  menuAlign: 'center',
  menuFixed: false,
  align: 'center',
  refreshBtn: true,
  searchSize: 'mini',
  addBtn: false,
  editBtn: false,
  delBtn: false,
  viewBtn: false,
  props: {
    label: 'label',
    value: 'value'
  },
  column: [
  {
    label: "#",
    prop: "id",
    width: 70,
  }, {
    label: '产品名',
    prop: 'name',
    search: true,
  }, {
    label: '商品原价',
    prop: 'price',
    formatter: row_currencyFormatter,
    width: 100,
  }, {
    label: '商品库存',
    prop: 'stockAmount',
    width: 100,
  }, {
    label: '运费',
    prop: 'deliverPrice',
    formatter: row_currencyFormatter,
    width: 100,
  }, {
    label: '售出',
    prop: 'soldAmount',
    width: 100,
  }, {
    label: '类别',
    prop: 'kind',
    slot: true,
    width: 100,
  }, {
    label: '产品图片',
    prop: 'cover',
    type: 'upload',
    listType: 'picture-img',
    width: 100,
  }]
}
