import Vue from 'vue'
import router from '@/router'
import { v4 as uuidv4 } from 'uuid';
export * from "./treedataconv.js";

/**
 * 获取uuid
 */
export function getUUID(): string {
  return uuidv4();
}

/**
 * 是否有权限
 * @param {*} key
 */
export function isAuth(key: string): boolean {
  let authorities = JSON.parse(sessionStorage.getItem('authorities') || '[]')
  if (authorities.length) {
    for (const i in authorities) {
      const element = authorities[i]
      if (element === key) {
        return true
      }
    }
  }
  return false
}

/**
 * 清除登录信息
 */
export function clearLoginInfo () {
  //@ts-ignore
  Vue.cookie.delete('Authorization')
  //@ts-ignore
  router.options.isAddDynamicMenuRoutes = false
}
